# Interface ThrowInstruction

All Superinterfaces:
  `ClassFileElement, CodeElement, Instruction`

public sealed interface ThrowInstruction extends Instruction
Models an `athrow` instruction in the `code` array of a `Code` attribute. Delivered as a `CodeElement` when traversing the elements of a `CodeModel`.

A throw instruction has no visible state.

Since:
  24
See Also:
  - `Opcode.Kind.THROW_EXCEPTION`
  - `CodeBuiler::athrow`

## Method Summary

Static Methods
Modifier and Type
Method
Description
`static ThrowInstruction`
`of()`
Returns a throw instruction.

### Methods declared in interface Instruction

`opcode, sizeInBytes`
Modifier and Type
Method
Description
`Opcode`
`opcode()`
Returns the operation of this instruction.
`int`
`sizeInBytes()`
Returns the size in bytes of this instruction.

## Method Details

### of

static ThrowInstruction of()
Returns a throw instruction.

Returns:
  a throw instruction